# Generated by Django 2.1.4 on 2019-04-01 16:06

import django.contrib.gis.db.models.fields
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='ClimateModel',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100)),
                ('name_fr', models.CharField(default='', max_length=100)),
                ('description', models.TextField(blank=True, max_length=500)),
                ('url', models.URLField(blank=True)),
                ('color', models.CharField(help_text='Color in graphs.', max_length=20)),
                ('style', models.CharField(choices=[('solid', 'solid'), ('dashed', 'dashed'), ('dotted', 'dotted'), ('dashdot', 'dashdot')], max_length=7)),
            ],
            options={
                'ordering': ('name',),
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='ColorMap',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100)),
                ('name_fr', models.CharField(default='', max_length=100)),
                ('code', models.TextField(help_text='For raw data display.')),
                ('diffcode', models.TextField(help_text='For difference display. Zero should bear the value 255,255,255 (white).')),
                ('custom', models.BooleanField(blank=True, default=False, help_text='Available for custom formulae ?')),
            ],
            options={
                'ordering': ('name',),
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='DailyRegionData',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('file', models.FileField(upload_to='')),
            ],
        ),
        migrations.CreateModel(
            name='Metric',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100)),
                ('name_fr', models.CharField(default='', max_length=100)),
                ('shortname', models.CharField(blank=True, help_text='For export and ordering.', max_length=20, null=True)),
                ('unit', models.CharField(max_length=20)),
                ('description', models.TextField(blank=True)),
                ('aggregation', models.CharField(choices=[('sum', 'sum'), ('mean', 'mean'), ('max', 'max'), ('min', 'min'), ('count', 'count')], default='sum', max_length=5)),
                ('monthly', models.BooleanField(blank=True, default=True)),
                ('formula', models.CharField(blank=True, default='', max_length=100)),
                ('caseof', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='proj.Metric')),
            ],
            options={
                'ordering': ('shortname', 'name'),
            },
        ),
        migrations.CreateModel(
            name='MetricCategory',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100)),
                ('name_fr', models.CharField(default='', max_length=100)),
                ('public', models.BooleanField(blank=True, default=False)),
            ],
            options={
                'verbose_name_plural': 'Metric categories',
            },
        ),
        migrations.CreateModel(
            name='MonthlyData',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('year', models.IntegerField()),
                ('month', models.IntegerField()),
                ('value', models.FloatField()),
                ('metric', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='proj.Metric')),
                ('model', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='proj.ClimateModel')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='MonthlyRasterData',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('year', models.IntegerField()),
                ('month', models.IntegerField()),
                ('raster', django.contrib.gis.db.models.fields.RasterField(srid=4326)),
                ('metric', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='proj.Metric')),
                ('model', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='proj.ClimateModel')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Parameter',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100)),
                ('name_fr', models.CharField(default='', max_length=100)),
                ('agg', models.CharField(choices=[('sum', 'sum'), ('mean', 'mean'), ('max', 'max'), ('min', 'min'), ('count', 'count')], default='sum', max_length=3, verbose_name="Formule d'aggrégation")),
                ('color', models.CharField(max_length=10)),
                ('shortparam', models.CharField(max_length=10)),
            ],
            options={
                'ordering': ('name',),
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Place',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100)),
                ('name_fr', models.CharField(default='', max_length=100)),
                ('lonlat', django.contrib.gis.db.models.fields.PointField(blank=True, null=True, srid=4326)),
                ('lon', models.FloatField(null=True)),
                ('lat', models.FloatField(null=True)),
            ],
            options={
                'ordering': ('name',),
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Scenario',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100)),
                ('name_fr', models.CharField(default='', max_length=100)),
                ('public_name', models.CharField(max_length=40)),
                ('color', models.CharField(help_text='Color in graphs.', max_length=20)),
            ],
            options={
                'ordering': ('name',),
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Zone',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100)),
                ('name_fr', models.CharField(default='', max_length=100)),
                ('mpoly', django.contrib.gis.db.models.fields.MultiPolygonField(srid=4326)),
            ],
            options={
                'ordering': ('name',),
                'abstract': False,
            },
        ),
        migrations.AddField(
            model_name='monthlyrasterdata',
            name='scenario',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='proj.Scenario'),
        ),
        migrations.AddField(
            model_name='monthlydata',
            name='scenario',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='proj.Scenario'),
        ),
        migrations.AddField(
            model_name='monthlydata',
            name='zone',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='proj.Zone'),
        ),
        migrations.AddField(
            model_name='metric',
            name='category',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='proj.MetricCategory'),
        ),
        migrations.AddField(
            model_name='metric',
            name='color',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='proj.ColorMap'),
        ),
        migrations.AddField(
            model_name='dailyregiondata',
            name='param',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='proj.Parameter'),
        ),
        migrations.AddField(
            model_name='dailyregiondata',
            name='zone',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='proj.Zone'),
        ),
        migrations.AddIndex(
            model_name='monthlyrasterdata',
            index=models.Index(fields=['year'], name='proj_monthl_year_098ed0_idx'),
        ),
        migrations.AddIndex(
            model_name='monthlyrasterdata',
            index=models.Index(fields=['scenario'], name='proj_monthl_scenari_00c116_idx'),
        ),
        migrations.AddIndex(
            model_name='monthlyrasterdata',
            index=models.Index(fields=['model'], name='proj_monthl_model_i_72d59f_idx'),
        ),
        migrations.AddIndex(
            model_name='monthlyrasterdata',
            index=models.Index(fields=['metric'], name='proj_monthl_metric__e908a0_idx'),
        ),
        migrations.AddIndex(
            model_name='monthlydata',
            index=models.Index(fields=['year'], name='proj_monthl_year_48ae11_idx'),
        ),
        migrations.AddIndex(
            model_name='monthlydata',
            index=models.Index(fields=['scenario'], name='proj_monthl_scenari_7e69b9_idx'),
        ),
        migrations.AddIndex(
            model_name='monthlydata',
            index=models.Index(fields=['model'], name='proj_monthl_model_i_12c56c_idx'),
        ),
        migrations.AddIndex(
            model_name='monthlydata',
            index=models.Index(fields=['metric'], name='proj_monthl_metric__a9ed2e_idx'),
        ),
    ]
